be.vlaanderen.mercurius.mohm.common.v7

## Class DecisionBasicEquipmentType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.DecisionBasicEquipmentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class DecisionBasicEquipmentType
      extends Object
      implements Serializable

  Generiek type voor het basishulpmiddel in een beslissing.

  Java class for DecisionBasicEquipmentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DecisionBasicEquipmentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EquipmentIDType"/>
               <element name="RequestedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
               <element name="DescriptionRequested" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="AssignedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
               <element name="DescriptionAssigned" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProductNumberType" minOccurs="0"/>
               <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}CareServiceCodeStatusType"/>
               <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MotivationType" minOccurs="0"/>
               <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionBasicEquipmentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getAmount()` Gets the value of the amount property.
    `String` | `getAssignedCareServiceCode()` Gets the value of the assignedCareServiceCode property.
    `String` | `getDescriptionAssigned()` Gets the value of the descriptionAssigned property.
    `String` | `getDescriptionRequested()` Gets the value of the descriptionRequested property.
    `String` | `getEquipmentID()` Gets the value of the equipmentID property.
    `String` | `getMotivation()` Gets the value of the motivation property.
    `String` | `getProductnumber()` Gets the value of the productnumber property.
    `List<String>` | `getReasons()` Gets the value of the reasons property.
    `String` | `getRequestedCareServiceCode()` Gets the value of the requestedCareServiceCode property.
    `CareServiceCodeStatusType` | `getStatus()` Gets the value of the status property.
    `org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
    `void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
    `void` | `setAssignedCareServiceCode(String value)` Sets the value of the assignedCareServiceCode property.
    `void` | `setDescriptionAssigned(String value)` Sets the value of the descriptionAssigned property.
    `void` | `setDescriptionRequested(String value)` Sets the value of the descriptionRequested property.
    `void` | `setEquipmentID(String value)` Sets the value of the equipmentID property.
    `void` | `setMotivation(String value)` Sets the value of the motivation property.
    `void` | `setProductnumber(String value)` Sets the value of the productnumber property.
    `void` | `setRequestedCareServiceCode(String value)` Sets the value of the requestedCareServiceCode property.
    `void` | `setStatus(CareServiceCodeStatusType value)` Sets the value of the status property.
    `void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionBasicEquipmentType

          public DecisionBasicEquipmentType()

  - ### Method Detail

    - #### getEquipmentID

          public String getEquipmentID()

      Gets the value of the equipmentID property.
      Returns:
        possible object is `String`

    - #### setEquipmentID

          public void setEquipmentID(String value)

      Sets the value of the equipmentID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRequestedCareServiceCode

          public String getRequestedCareServiceCode()

      Gets the value of the requestedCareServiceCode property.
      Returns:
        possible object is `String`

    - #### setRequestedCareServiceCode

          public void setRequestedCareServiceCode(String value)

      Sets the value of the requestedCareServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescriptionRequested

          public String getDescriptionRequested()

      Gets the value of the descriptionRequested property.
      Returns:
        possible object is `String`

    - #### setDescriptionRequested

          public void setDescriptionRequested(String value)

      Sets the value of the descriptionRequested property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssignedCareServiceCode

          public String getAssignedCareServiceCode()

      Gets the value of the assignedCareServiceCode property.
      Returns:
        possible object is `String`

    - #### setAssignedCareServiceCode

          public void setAssignedCareServiceCode(String value)

      Sets the value of the assignedCareServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescriptionAssigned

          public String getDescriptionAssigned()

      Gets the value of the descriptionAssigned property.
      Returns:
        possible object is `String`

    - #### setDescriptionAssigned

          public void setDescriptionAssigned(String value)

      Sets the value of the descriptionAssigned property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProductnumber

          public String getProductnumber()

      Gets the value of the productnumber property.
      Returns:
        possible object is `String`

    - #### setProductnumber

          public void setProductnumber(String value)

      Sets the value of the productnumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAmount

          public BigDecimal getAmount()

      Gets the value of the amount property.
      Returns:
        possible object is `BigDecimal`

    - #### setAmount

          public void setAmount(BigDecimal value)

      Sets the value of the amount property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getStatus

          public CareServiceCodeStatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `CareServiceCodeStatusType`

    - #### setStatus

          public void setStatus(CareServiceCodeStatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `CareServiceCodeStatusType`

    - #### getReasons

          public List<String> getReasons()

      Gets the value of the reasons property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

      For example, to add a new item, do as follows:

              getReasons().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getMotivation

          public String getMotivation()

      Gets the value of the motivation property.
      Returns:
        possible object is `String`

    - #### setMotivation

          public void setMotivation(String value)

      Sets the value of the motivation property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatusDate

          public org.joda.time.DateTime getStatusDate()

      Gets the value of the statusDate property.
      Returns:
        possible object is `String`

    - #### setStatusDate

          public void setStatusDate(org.joda.time.DateTime value)

      Sets the value of the statusDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.